
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: arm-gp2x-linux-glibc: fix build on ARM

arm-gp2x-linux-glibc runs configure with --build=`uname -m`, which
is both unnecessary and breaks the build on ARM platforms.  This
patch removes it.

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/arm-gp2x-linux-glibc.spec
===================================================================
--- SPECS.orig/arm-gp2x-linux-glibc.spec
+++ SPECS/arm-gp2x-linux-glibc.spec
@@ -2,7 +2,7 @@
 
 Name:           %{target}-glibc
 Version:        2.3.6
-Release:        4%{?dist}
+Release:        4%{?dist}.fa1
 Summary:        Cross Compiled GNU C Library targeted at %{target}
 Group:          Development/Languages
 License:        LGPLv2+
@@ -53,7 +53,7 @@ mkdir -p build-%{target}-glibc
 pushd build-%{target}-glibc
 # CFLAGS not used, maybe we should ?
 ../glibc-%{version}/configure --prefix=%{_prefix}/%{target} \
-  --build=`uname -m` --host=%{target} --enable-add-ons=linuxthreads \
+  --host=%{target} --enable-add-ons=linuxthreads \
   --without-fp --disable-profile --without-selinux
 make %{?_smp_mflags}
 
